{
    This file is part of SkantiControl

    Skanti TRP8000 series control program (CU8000 control unit)
    This program was developed for a CU8000 control unit marked
    TRP 8255 S R GB1. May work or not with other units. The CU
    firmware version can be either 80R or 92.

    Copyright (C) 2012-2025 G. Perotti, I1EPJ, i1epj@aricasale.it

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/.

    Features, debug and test $DEFINEs
}

// Program features
{$DEFINE AUTOSCALE}             // Enable forms autoscale code
{$DEFINE BFOREPEAT}             // BFO keys autorepeat
{$DEFINE SCANSYNTAX}            // Include SCAN syntax code
{$DEFINE SENDDONE}              // Send 'done' at end of dump_state hamlib command
{$DEFINE SHOW_READONTIME_MENU}  // Works, but ON TIME is shown only in the CU
{$DEFINE SHOW_PROGSTEP_MENU}    // Works, but the step value is shown only in the CU
{$UNDEF  SHOW_SETBEEPER_MENU}   // Does not work at all, don't use

// Debug and test
{$UNDEF DEBUG_AUTOSCALE}        // Autoscale code debug messages (uses ShowMessage)
{$UNDEF DEBUG_FONTMAGN}         // Font magnification code debug messages
{$UNDEF DEBUG_FONTSCALE}        // Font scale code debug messages
{$UNDEF DEBUG_FORMMOUSEWHEEL}   // Mouse wheel on form handling debug messages
{$UNDEF DEBUG_GETREPLY}         // Get reply to command procedure debug messages
{$UNDEF DEBUG_KBSTATE}          // Keyboard state machine debug messages
{$UNDEF DEBUG_NET}              // Lnet networking code debug messages
{$UNDEF DEBUG_PARSE}            // Hamlib commands parse code debug messages
{$UNDEF DEBUG_READSTATUS}       // Status reading code debug messages
{$UNDEF DEBUG_RXMOUSEWHEEL}     // Mouse wheel on RX display debug messages
{$UNDEF DEBUG_SENDCOMMAND}      // SendCommand procedure debug messages
{$UNDEF DEBUG_SMTIMER}          // Status reading display timer debug messages
{$UNDEF DEBUG_SPEAKER}          // Speaker status bits debug messages
{$UNDEF DEBUG_START}            // Startup code time taken debug messages
{$UNDEF DEBUG_STATUSTIMER}      // Status reading timer debug messages
{$UNDEF DEBUG_TXMOUSEWHEEL}     // Mouse wheel on TX display debug messages
{$UNDEF DEBUG_VOLUME}           // Show returned volume value
{$UNDEF DEBUG_WIDTH_AND_HEIGHT} // Show read Width and Height values in FormCreate
{$UNDEF TEST_CHART}             // Show a test fake chart
{$UNDEF TEST_KEYDOWN}           // Keyboard commands code test messages
{$UNDEF TEST_MESSAGE}           // Show a test message in the MSG memo
{$UNDEF TEST_READ_CU}           // CU v92 parser test message
{$UNDEF TEST_USER_INTERFACE}    // Do not send real commands to CU
{$UNDEF TIME_SENDCOMMAND}       // Count time spent in SendCommand
{$UNDEF DEBUG_RUNGUI}           // There is not much to debug...
{$UNDEF DEBUG_RETRY}            // Debug failed command retry code
